//
//  Copyright 2011 Jetico, Oy. All rights reserved.
//

#include "aes.h"
#include "bc_aesni.h"

BOOL KeyExtend(PUCHAR KeySource, PDWORD KeyDestination)
{
	if (set_key((const byte*)KeySource, KEY_LENGTH / 8, both, (aes *)KeyDestination ) != aes_good)
		return FALSE;
    
	return TRUE;
}

VOID Encrypt_ECB(BYTE* Input, BYTE* Output, BYTE* ExtendedKey)
{
    aes* ctx = (aes*) ExtendedKey;
    asm volatile ("call  _aeshw_encrypt \n\t"
                  :
                  : "S" (Input), "D" (Output), "d" (ctx->e_key)   // pin->%esi, pout->%edi, d_key->%edx
                  : "%esi", "%edi", "%edx"
    );
}


VOID Decrypt_ECB(BYTE* Input, BYTE* Output, BYTE* ExtendedKey)
{
    aes* ctx = (aes*) ExtendedKey;
    asm volatile ("call  _aeshw_decrypt \n\t"
                  :
                  : "S" (Input), "D" (Output), "d" (ctx->d_key)   // pin->%esi, pout->%edi, d_key->%edx
                  : "%esi", "%edi", "%edx"
    );
}

