/*
 * Copyright 2015 Jetico, Inc. All rights reserved.
 *
 * Key files processing implementation.
 */
#pragma once

#include <stdlib.h>
#include "../container/iChannel.h"
#include "../certificate/CertificateLib/SMemory/SBlocks.h"

//
//	generateSaltBuffer
//		1. Walks table of channels and generates hash for at least 1 MB bytes from every channel
//		2. Sorts this hashes
//		3. Adds original salt to sorted buffer.
//
bool generateSaltBuffer( cPTB &ptbSalt, iChannel **keyFilesT, int keyFilesQ, int hashAlgId, const bc_u8 *saltBuffer, int saltSize );
