#ifndef ASSIGNPASSWORDDIALOG_H
#define ASSIGNPASSWORDDIALOG_H

#include <QDialog>
#include "QtPwdGetGlue.h"

namespace Ui {
class AssignPasswordDialog;
}

class QtPwdGet;

class AssignPasswordDialog : public QDialog, public QtPwdGetGlue::PasswordProvider
{
    Q_OBJECT
    
public:
    explicit AssignPasswordDialog(QWidget *parent = 0);
    ~AssignPasswordDialog();

    void setTitle(const char *query, bool prev_failed = false);

    void savePasswordBundleTo(QtPwdGet *pwdGet) const;

private slots:
    void on_keyFilesButton_clicked();
    
    void on_passEdit_textChanged(const QString &arg1);
    
private:
    Ui::AssignPasswordDialog *ui;
    QStringList keyfiles;
};

#endif // ASSIGNPASSWORDDIALOG_H
