#ifndef HIDDENCREATEDIALOG_H
#define HIDDENCREATEDIALOG_H

#include <QDialog>
#include <stdint.h>

namespace Ui {
class HiddenCreateDialog;
}

class BCToolCreateParams;

class HiddenCreateDialog : public QDialog
{
    Q_OBJECT
public:
    explicit HiddenCreateDialog(QWidget *parent, BCToolCreateParams *creatparams);
    ~HiddenCreateDialog();

    void setHiddenPartSizesRangeInMB(int min_mb, int max_mb);

signals:
    void protectExisting();
    void create();

private slots:
    void on_createButton_clicked();
    
private:
    Ui::HiddenCreateDialog *ui;
    BCToolCreateParams *createParams;
};

#endif // HIDDENCREATEDIALOG_H
