#ifndef CHANGEDESCRIPTIONCONTROLLER_H
#define CHANGEDESCRIPTIONCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class ChangeDescriptionWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;

class ChangeDescriptionController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit ChangeDescriptionController(QWidget *parentWidget, ContainerDescriptor *d, QString new_description);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    ChangeDescriptionWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // CHANGEDESCRIPIONCONTROLLER_H
