#ifndef DECRYPTHEADERCONTROLLER_H
#define DECRYPTHEADERCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class DecryptHeaderWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;

class DecryptHeaderController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit DecryptHeaderController(QWidget *parentWidget, ContainerDescriptor *d);


protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    DecryptHeaderWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // DECRYPTHEADERCONTROLLER_H
