#ifndef ENCRYPTHEADERCONTROLLER_H
#define ENCRYPTHEADERCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class EncryptHeaderWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;

class EncryptHeaderController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit EncryptHeaderController(QWidget *parentWidget, ContainerDescriptor *d);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    EncryptHeaderWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // ENCRYPTHEADERCONTROLLER_H
