#ifndef LINKCONTROLLER_H
#define LINKCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class LinkWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;


class LinkController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit LinkController(QWidget *mainWindow, ContainerDescriptor *d);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    LinkWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // LINKCONTROLLER_H
