#include <QDebug>

#include "LinkWorker.h"
#include "QtBCTool.h"
#include "QtCertlibProgressActor.h"


void LinkWorker::on_entry_point()
{
    bc_file_mode file_mode = kBCFileMode_Exclude;
    file_mode |= (mountParams.mountReadOnly)? kBCFileMode_Read : kBCFileMode_ReadWrite;
    m_mainVolumeHelper = new BCHelperContext(m_containerFileChannel, file_mode, &mainPasswordGetter);
    m_mainVolumeHelper->progressActor = cProgressActor;

    bool done = bctool->Link(*m_mainVolumeHelper, &mountParams);

    finished(done);
}
