#ifndef REMOVEPASSWORDCONTROLLER_H
#define REMOVEPASSWORDCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class RemovePasswordWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;

class RemovePasswordController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit RemovePasswordController(QWidget *parentWidget, ContainerDescriptor *descriptor);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    RemovePasswordWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;

    ContainerAccessDialog *addAccessDialog;
    QtPwdGetGlue *addGlue;
};

#endif // REMOVEPASSWORDCONTROLLER_H
