#ifndef RESTOREHEADERCONTROLLER_H
#define RESTOREHEADERCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class RestoreHeaderWorker;
class RestoreHeaderDialog;
class QtPwdGetGlue;

class RestoreHeaderController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit RestoreHeaderController(QWidget *parentWidget, ContainerDescriptor *d);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);
    void on_headerbackup_choosen();

private:
    RestoreHeaderWorker *worker;

    RestoreHeaderDialog *backupHeaderDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // RESTOREHEADERCONTROLLER_H
