#ifndef SELECTCIPHERWIDGET_H
#define SELECTCIPHERWIDGET_H

#include "kernel/BCKernel.h"

#include <QWidget>

namespace Ui {
class SelectCipherWidget;
}

class QComboBox;


class SelectCipherWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit SelectCipherWidget(QWidget *parent = 0);
    ~SelectCipherWidget();

    QString GetAlgorythmName();
    QString GetModeName();
    bc_alg_id GetAlgorythmId();

    static void FillAlgList(QList<BCAlgInfo> *algList, QComboBox *algCombo);
    static void updateModeCombo(QList<BCAlgInfo> *algList, QComboBox *modeCombo, int alg_id);

private:
    Ui::SelectCipherWidget *ui;
    QList<BCAlgInfo> *algList_;
};

#endif // SELECTCIPHERWIDGET_H
