#ifndef COMMANDLINEARGSPROCESSOR_H
#define COMMANDLINEARGSPROCESSOR_H

#include <QObject>
#include <QWidget>

class QStringList;
class ContainerDescriptor;

class CommandLineArgsProcessor : public QObject
{
    Q_OBJECT
public:
    explicit CommandLineArgsProcessor(const QStringList &args);

public slots:
    void take_one();

private slots:
    void onContainerOperationFinished(bool success);

private:
    QStringList files;
    int exit_code;
    QWidget ew;
};

#endif // COMMANDLINEARGSPROCESSOR_H
