#ifndef KEYFILESDIALOG_H
#define KEYFILESDIALOG_H

#include <QDialog>
#include <QStringList>

namespace Ui {
class keyfilesdialog;
}

class KeyFilesModel;


class keyfilesdialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit keyfilesdialog(QWidget *parent, const QStringList &keyfiles);
    ~keyfilesdialog();

    QStringList getKeyFiles() const;

    QString getButtonCaption(int n) const;

public slots:
    // void resizeEvent(QResizeEvent *event);

private slots:
    
    void on_addFilesButton_clicked();

    void on_addFolderButton_clicked();
    
    void on_clearListButton_clicked();
    
    void on_removeButton_clicked();
    
private:
    Ui::keyfilesdialog *ui;
    KeyFilesModel *model;
};

#endif // KEYFILESDIALOG_H
