#ifndef FILESYSTEMWIDGET_H
#define FILESYSTEMWIDGET_H

#include <QWidget>

namespace Ui {
class FileSystemWidget;
}

class QComboBox;


class FileSystemWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FileSystemWidget(QWidget *parent = 0);
    ~FileSystemWidget();

    QString GetFileSystem();

    static QString GetFileSystem(QComboBox *fsCombo);

    void ReloadFilesystems(bool isNoFSVisible);

    static void PrepareFileSystems(QMap<QString, QString> *fileSystems);
    static void ReloadFilesystems(QComboBox *fsCombo, bool include_no_fs_option);

private:
    Ui::FileSystemWidget *ui;
};

#endif // FILESYSTEMWIDGET_H
