#ifndef KEYFILESMODEL_H
#define KEYFILESMODEL_H

#include <QAbstractTableModel>
#include <QModelIndex>
#include <QFileInfo>
#include <QList>

class KeyFilesModel : public QAbstractTableModel
{
    Q_OBJECT
public:
    explicit KeyFilesModel(QObject *parent = 0);

    void appendFile(QString path);
    QStringList keyFiles() const;

    int rowCount(const QModelIndex &parent) const;
    int columnCount(const QModelIndex &parent) const { return 2; }
    QVariant data(const QModelIndex &index, int role) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const;

    void clear();

signals:
    
public slots:


private:
    QList<QFileInfo> files;
};

#endif // KEYFILESMODEL_H
