#include <QDebug>

#include "AddPasswordWorker.h"
#include "QtCertlibProgressActor.h"
#include "QtBCTool.h"


void AddPasswordWorker::on_entry_point()
{
    bc_file_mode file_mode = kBCFileMode_ReadWrite | kBCFileMode_Exclude;
    m_mainVolumeHelper = new BCHelperContext(m_containerFileChannel, file_mode, &mainPasswordGetter);
    m_mainVolumeHelper->progressActor = cProgressActor;

    bool done = bctool->AddPassword(*m_mainVolumeHelper, &additionalPasswordGetter, &newPasswordGetter);

    finished(done);
}

