#ifndef BACKUPHEADERCONTROLLER_H
#define BACKUPHEADERCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class BackupHeaderWorker;
class BackupHeaderDialog;
class QtPwdGetGlue;

class BackupHeaderController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit BackupHeaderController(QWidget *parentWidget, ContainerDescriptor *d);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    BackupHeaderWorker *worker;

    BackupHeaderDialog *backupHeaderDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // BACKUPHEADERCONTROLLER_H
