#include <QDebug>

#include "BackupHeaderWorker.h"
#include "QtBCTool.h"
#include "QtCertlibProgressActor.h"


void BackupHeaderWorker::on_entry_point()
{
    bc_file_mode file_mode = kBCFileMode_Read | kBCFileMode_Exclude;
    m_mainVolumeHelper = new BCHelperContext(m_containerFileChannel, file_mode, &mainPasswordGetter);
    m_mainVolumeHelper->progressActor = cProgressActor;

    // ???  open file stream for backup

    bool done = bctool->BackupHeader(*m_mainVolumeHelper, &headerParams);

    finished(done);
}
