#ifndef CHANGEPASSWORDCONTROLLER_H
#define CHANGEPASSWORDCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class ChangePasswordWorker;
class ContainerAccessDialog;
class AssignPasswordDialog;
class QtPwdGetGlue;


class ChangePasswordController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit ChangePasswordController(QWidget *parentWidget, ContainerDescriptor *d);
    
protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    ChangePasswordWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;

    ContainerAccessDialog *addAccessDialog;
    QtPwdGetGlue *addGlue;

    AssignPasswordDialog  *assignPasswordDlg;
    QtPwdGetGlue *assignGlue;
};

#endif // CHANGEPASSWORDCONTROLLER_H
