#ifndef MOUNTCONTROLLER_H
#define MOUNTCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class MountWorker;
class ContainerMountDialog;
class QtPwdGetGlue;

//! this object belongs to UI thread
class MountController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit MountController(QWidget *parentWidget, ContainerDescriptor *descriptor);
    ~MountController();

public slots:
    void on_finished(bool success);

protected:
    Worker* getWorker();

protected slots:
    void onCancelation();

private:
    MountWorker *worker;
    ContainerMountDialog *mountDlg;
    QtPwdGetGlue *mountDlgPwdGetGlue;
    bool canceled;
};

#endif // MOUNTCONTROLLER_H
