#ifndef QTCERTLIBPROGRESSACTOR_H
#define QTCERTLIBPROGRESSACTOR_H

#include <QObject>

#include "certificate/CertificateLib/progressActor.h"

class QtCertlibProgressActor : public QObject, public cProgressActor
{
    Q_OBJECT
public:
    explicit QtCertlibProgressActor(QObject *parent = 0);

    void init (int value0, int value1);

    int func(const char * name, int value0, int value1);

    /* seems there is no use to make it a slot
     * because worker thread will be blocked by on_entry_point() call.
     */
    void on_canceled();

signals:
    void progress(QString text, int n, int m);

private:
    unsigned int m_mainBlockLimit;
    unsigned int m_extBlockLimit;
    unsigned int m_progress;

};

#endif // QTCERTLIBPROGRESSACTOR_H
