#include <QDebug>

#include "RestoreHeaderWorker.h"
#include "QtBCTool.h"
#include "QtCertlibProgressActor.h"


void RestoreHeaderWorker::on_entry_point()
{
    // do nothing- wait until user enters key block backup file in dialog
}

void RestoreHeaderWorker::on_headerbackup_choosen()
{
    qDebug() << "Entry of " << Q_FUNC_INFO;

    bc_file_mode file_mode = kBCFileMode_ReadWrite | kBCFileMode_Exclude;
    m_mainVolumeHelper = new BCHelperContext(m_containerFileChannel, file_mode, &mainPasswordGetter);
    m_mainVolumeHelper->progressActor = cProgressActor;

    bool done = bctool->RestoreHeader(*m_mainVolumeHelper, &headerParams);

    finished(done);
}

