#ifndef WIPEHEADERCONTROLLER_H
#define WIPEHEADERCONTROLLER_H

#include "operations/BackgroundJob.h"

class ContainerDescriptor;
class WipeHeaderWorker;
class ContainerAccessDialog;
class QtPwdGetGlue;

class WipeHeaderController : public BackgroundJob
{
    Q_OBJECT
public:
    explicit WipeHeaderController(QWidget *parentWidget, ContainerDescriptor *d);

protected:
    Worker* getWorker();

protected slots:
    void on_finished(bool success);

private:
    WipeHeaderWorker *worker;

    ContainerAccessDialog *mainAccessDialog;
    QtPwdGetGlue *mainGlue;
};

#endif // WIPEHEADERCONTROLLER_H
