#include <QDebug>

#include "WipeHeaderWorker.h"
#include "QtBCTool.h"
#include "QtCertlibProgressActor.h"


void WipeHeaderWorker::on_entry_point()
{
    bc_file_mode file_mode = kBCFileMode_ReadWrite | kBCFileMode_Exclude;
    m_mainVolumeHelper = new BCHelperContext(m_containerFileChannel, file_mode, &mainPasswordGetter);
    m_mainVolumeHelper->progressActor = cProgressActor;

    bool done = bctool->WipeHeader(*m_mainVolumeHelper);

    finished(done);
}

